function gplot = plotg(ingraph, Eigsmall, hgraph)
if nargin < 3
    sz = size(Eigsmall);
    hgraph = graph;
    hgraph = addnode(hgraph, sz(1,1));
end

e2 = Eigsmall(:,2);
e3 = Eigsmall(:,3);
e4 = Eigsmall(:,4);

% Plot unweighted picture
gplot = plot(ingraph,'XData',e2,'YData',e3, 'ZData', e4);
set(gcf,'units','normalized','outerposition',[0 0 1 1])
highlight(gplot, hgraph,'EdgeColor', 'r');
end