function dnet = dumbell(n,rad, offset, width)
if nargin < 2
    rad = n/(4.6);
    width = 0.3*rad;
    offset = 0.25 * n;
end
    

dnet = graph; % this is an n by n grid
dnet = addnode(dnet, n*n);

for i = 1:n
    for j = 1:n

            if i < n
                dnet = addedge(dnet,i+n*(j-1), i+1 + n*(j-1));
            end
            if j < n
                dnet = addedge(dnet,i+n*(j-1), i + n*j);
            end
       
    end
end  
delete=[];

for i = 1:n
    for j = 1:n
        if ((i-offset)^2+(j-n/2)^2>rad^2) && ((i + offset - n)^2+(j-n/2)^2>rad^2)  && ((j-n/2)^2>(width)^2)
            delete = [delete i+n*(j-1)];
        end
    end
end
dnet = rmnode(dnet,delete);
end